Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io
Class IMatrixIO.IMatrixHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          infomat.io.IMatrixIO.IMatrixHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  IMatrixIO

    private class IMatrixIO.IMatrixHandler

extends org.xml.sax.helpers.DefaultHandler

Field Summary
`private java.lang.StringBuffer` | `buffer`
`private float` | `c`
`private int` | `cid`
`private java.lang.String` | `commonLocation`
`private IObjectSet` | `currentSet`
`private boolean` | `foundGW`
`private boolean` | `foundLW`
`private float` | `gw`
`private int` | `id`
`private int` | `k`
`private java.lang.String` | `l`
`private float` | `lw`
`private IMatrix` | `m`
`private int` | `rid`
`private java.lang.String` | `s`
`private float` | `weight`

Constructor Summary
`IMatrixIO.IMatrixHandler(IMatrix m)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    private java.lang.StringBuffer buffer

### m

    private IMatrix m

### currentSet

    private IObjectSet currentSet

### commonLocation

    private java.lang.String commonLocation

### s

    private java.lang.String s

### l

    private java.lang.String l

### k

    private int k

### foundGW

    private boolean foundGW

### gw

    private float gw

### id

    private int id

### rid

    private int rid

### cid

    private int cid

### c

    private float c

### foundLW

    private boolean foundLW

### lw

    private float lw

### weight

    private float weight

Constructor Detail

### IMatrixIO.IMatrixHandler

    public IMatrixIO.IMatrixHandler(IMatrix m)

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD